Leads finder

Leads Finder

Search for people and companies matching a set of filters.

Endpoint

POST https://api.airscale.io/v1/leads-finder
POST https://api.airscale.io/v1/leads-finder
POST https://api.airscale.io/v1/leads-finder

Headers

Key

Value

Required

Content-Type

application/json

Yes

Authorization

Bearer <YOUR_API_KEY>

Yes

Request Body

{
  "filters": {
    "job": ["Founder"],
    "company": "airscale.io",
    "peopleLocation": ["France"],
    "searchMode": "SMART"
  },
  "page": 0,
  "size": 25
}
{
  "filters": {
    "job": ["Founder"],
    "company": "airscale.io",
    "peopleLocation": ["France"],
    "searchMode": "SMART"
  },
  "page": 0,
  "size": 25
}
{
  "filters": {
    "job": ["Founder"],
    "company": "airscale.io",
    "peopleLocation": ["France"],
    "searchMode": "SMART"
  },
  "page": 0,
  "size": 25
}

Field

Type

Required

filters

object

Yes

filters.job

array[string]

No

filters.company

string | array

No

filters.companyUrl

string | array

No

filters.peopleLocation

string | array

No

filters.searchMode

string

No

page

integer

No

size

integer

No

Response

Successful Response (200)

{
  "rows": [
    {
      "id": "p1",
      "firstName": "Victor",
      "lastName": "Detraz",
      "title": "Founder",
      "company": "Airscale",
      "companyLogoUrl": "https://cdn.example.com/logo.png",
      "companyWebsiteUrl": "https://airscale.io",
      "companyLinkedinUrl": "https://linkedin.com/company/airscale-io",
      "location": "Paris, France",
      "linkedin": "https://linkedin.com/in/vdetraz"
    }
  ],
  "total": 1,
  "page": 0,
  "size": 25,
  "rawRequest": {
    "account": {
      "url": {
        "any": {
          "include": {
            "mode": "SMART",
            "content": ["airscale.io"]
          }
        }
      }
    },
    "contact": {
      "experience": {
        "current": {
          "title": {
            "any": {
              "include": {
                "mode": "SMART",
                "content": ["Founder"]
              }
            }
          }
        }
      },
      "location": {
        "any": {
          "include": ["France"]
        }
      }
    },
    "page": 0,
    "size": 25
  }
}
{
  "rows": [
    {
      "id": "p1",
      "firstName": "Victor",
      "lastName": "Detraz",
      "title": "Founder",
      "company": "Airscale",
      "companyLogoUrl": "https://cdn.example.com/logo.png",
      "companyWebsiteUrl": "https://airscale.io",
      "companyLinkedinUrl": "https://linkedin.com/company/airscale-io",
      "location": "Paris, France",
      "linkedin": "https://linkedin.com/in/vdetraz"
    }
  ],
  "total": 1,
  "page": 0,
  "size": 25,
  "rawRequest": {
    "account": {
      "url": {
        "any": {
          "include": {
            "mode": "SMART",
            "content": ["airscale.io"]
          }
        }
      }
    },
    "contact": {
      "experience": {
        "current": {
          "title": {
            "any": {
              "include": {
                "mode": "SMART",
                "content": ["Founder"]
              }
            }
          }
        }
      },
      "location": {
        "any": {
          "include": ["France"]
        }
      }
    },
    "page": 0,
    "size": 25
  }
}
{
  "rows": [
    {
      "id": "p1",
      "firstName": "Victor",
      "lastName": "Detraz",
      "title": "Founder",
      "company": "Airscale",
      "companyLogoUrl": "https://cdn.example.com/logo.png",
      "companyWebsiteUrl": "https://airscale.io",
      "companyLinkedinUrl": "https://linkedin.com/company/airscale-io",
      "location": "Paris, France",
      "linkedin": "https://linkedin.com/in/vdetraz"
    }
  ],
  "total": 1,
  "page": 0,
  "size": 25,
  "rawRequest": {
    "account": {
      "url": {
        "any": {
          "include": {
            "mode": "SMART",
            "content": ["airscale.io"]
          }
        }
      }
    },
    "contact": {
      "experience": {
        "current": {
          "title": {
            "any": {
              "include": {
                "mode": "SMART",
                "content": ["Founder"]
              }
            }
          }
        }
      },
      "location": {
        "any": {
          "include": ["France"]
        }
      }
    },
    "page": 0,
    "size": 25
  }
}

Example Usage

cURL

curl -X POST https://api.airscale.io/v1/leads-finder \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "filters": {
      "job": ["Founder"],
      "company": "airscale.io",
      "peopleLocation": ["France"],
      "searchMode": "SMART"
    },
    "page": 0,
    "size": 25
  }'
curl -X POST https://api.airscale.io/v1/leads-finder \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "filters": {
      "job": ["Founder"],
      "company": "airscale.io",
      "peopleLocation": ["France"],
      "searchMode": "SMART"
    },
    "page": 0,
    "size": 25
  }'
curl -X POST https://api.airscale.io/v1/leads-finder \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "filters": {
      "job": ["Founder"],
      "company": "airscale.io",
      "peopleLocation": ["France"],
      "searchMode": "SMART"
    },
    "page": 0,
    "size": 25
  }'

Python

import requests

url = "https://api.airscale.io/v1/leads-finder"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
}
payload = {
    "filters": {
        "job": ["Founder"],
        "company": "airscale.io",
        "peopleLocation": ["France"],
        "searchMode": "SMART"
    },
    "page": 0,
    "size": 25
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())
import requests

url = "https://api.airscale.io/v1/leads-finder"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
}
payload = {
    "filters": {
        "job": ["Founder"],
        "company": "airscale.io",
        "peopleLocation": ["France"],
        "searchMode": "SMART"
    },
    "page": 0,
    "size": 25
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())
import requests

url = "https://api.airscale.io/v1/leads-finder"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
}
payload = {
    "filters": {
        "job": ["Founder"],
        "company": "airscale.io",
        "peopleLocation": ["France"],
        "searchMode": "SMART"
    },
    "page": 0,
    "size": 25
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())

JavaScript (Fetch)

const url = 'https://api.airscale.io/v1/leads-finder';
const headers = {
  'Authorization': 'Bearer YOUR_API_KEY',
  'Content-Type': 'application/json'
};
const payload = {
  filters: {
    job: ['Founder'],
    company: 'airscale.io',
    peopleLocation: ['France'],
    searchMode: 'SMART'
  },
  page: 0,
  size: 25
};

fetch(url, {
  method: 'POST',
  headers: headers,
  body: JSON.stringify(payload)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));
const url = 'https://api.airscale.io/v1/leads-finder';
const headers = {
  'Authorization': 'Bearer YOUR_API_KEY',
  'Content-Type': 'application/json'
};
const payload = {
  filters: {
    job: ['Founder'],
    company: 'airscale.io',
    peopleLocation: ['France'],
    searchMode: 'SMART'
  },
  page: 0,
  size: 25
};

fetch(url, {
  method: 'POST',
  headers: headers,
  body: JSON.stringify(payload)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));
const url = 'https://api.airscale.io/v1/leads-finder';
const headers = {
  'Authorization': 'Bearer YOUR_API_KEY',
  'Content-Type': 'application/json'
};
const payload = {
  filters: {
    job: ['Founder'],
    company: 'airscale.io',
    peopleLocation: ['France'],
    searchMode: 'SMART'
  },
  page: 0,
  size: 25
};

fetch(url, {
  method: 'POST',
  headers: headers,
  body: JSON.stringify(payload)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));

PHP

<?php

$url = 'https://api.airscale.io/v1/leads-finder';
$headers = [
    'Authorization: Bearer YOUR_API_KEY',
    'Content-Type: application/json'
];
$payload = json_encode([
    'filters' => [
        'job' => ['Founder'],
        'company' => 'airscale.io',
        'peopleLocation' => ['France'],
        'searchMode' => 'SMART'
    ],
    'page' => 0,
    'size' => 25
]);

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

<?php

$url = 'https://api.airscale.io/v1/leads-finder';
$headers = [
    'Authorization: Bearer YOUR_API_KEY',
    'Content-Type: application/json'
];
$payload = json_encode([
    'filters' => [
        'job' => ['Founder'],
        'company' => 'airscale.io',
        'peopleLocation' => ['France'],
        'searchMode' => 'SMART'
    ],
    'page' => 0,
    'size' => 25
]);

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

<?php

$url = 'https://api.airscale.io/v1/leads-finder';
$headers = [
    'Authorization: Bearer YOUR_API_KEY',
    'Content-Type: application/json'
];
$payload = json_encode([
    'filters' => [
        'job' => ['Founder'],
        'company' => 'airscale.io',
        'peopleLocation' => ['France'],
        'searchMode' => 'SMART'
    ],
    'page' => 0,
    'size' => 25
]);

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Go

package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://api.airscale.io/v1/leads-finder"

    payload := map[string]interface{}{
        "filters": map[string]interface{}{
            "job":            []string{"Founder"},
            "company":        "airscale.io",
            "peopleLocation": []string{"France"},
            "searchMode":     "SMART",
        },
        "page": 0,
        "size": 25,
    }

    jsonPayload, _ := json.Marshal(payload)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonPayload))
    req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body

package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://api.airscale.io/v1/leads-finder"

    payload := map[string]interface{}{
        "filters": map[string]interface{}{
            "job":            []string{"Founder"},
            "company":        "airscale.io",
            "peopleLocation": []string{"France"},
            "searchMode":     "SMART",
        },
        "page": 0,
        "size": 25,
    }

    jsonPayload, _ := json.Marshal(payload)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonPayload))
    req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body

package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://api.airscale.io/v1/leads-finder"

    payload := map[string]interface{}{
        "filters": map[string]interface{}{
            "job":            []string{"Founder"},
            "company":        "airscale.io",
            "peopleLocation": []string{"France"},
            "searchMode":     "SMART",
        },
        "page": 0,
        "size": 25,
    }

    jsonPayload, _ := json.Marshal(payload)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonPayload))
    req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body

On this page

© 2026

Airscale · All rights reserved